commit:     754ca35474f0729554840bdbda344df01395c3f1
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 11 21:45:56 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 17:18:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=754ca354

x11-libs/pango: Version bump to 1.51.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 profiles/package.mask              |  1 +
 x11-libs/pango/Manifest            |  1 +
 x11-libs/pango/pango-1.51.0.ebuild | 91 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 93 insertions(+)

diff --git a/profiles/package.mask b/profiles/package.mask
index 4a16a1b87142..4b32957edf37 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -359,6 +359,7 @@ dev-util/cucumber-html-formatter:17
 >=sci-geosciences/gnome-maps-45_alpha
 >=sys-apps/baobab-45_alpha
 >=sys-apps/xdg-desktop-portal-gnome-45_alpha
+>=x11-libs/pango-1.51.0
 >=x11-themes/gnome-backgrounds-45_alpha
 >=x11-wm/mutter-45_alpha
 

diff --git a/x11-libs/pango/Manifest b/x11-libs/pango/Manifest
index 010e2c1d16f9..a533b2bc14c1 100644
--- a/x11-libs/pango/Manifest
+++ b/x11-libs/pango/Manifest
@@ -1,3 +1,4 @@
 DIST pango-1.42.4-patchset.tar.xz 6040 BLAKE2B 
ec3f1a6a4de30e0864e7f0bf0950cb7a7b4bada8c3db496a8e5b1e770f221ae72b43167178445ea9cd0d6b88e51d2af49e7fdf27b2e792997fe7c37e55d429c1
 SHA512 
b7654c3493931e3c6d3cbd40ee49c5cbebaf403954bae75dea80e9f03e12dd5082548aff6a9e778821b8f935e227a7efaad4c1b980fa108e7258042221cadfc1
 DIST pango-1.42.4.tar.xz 833876 BLAKE2B 
7de1094a29750b9e59ea1e5c92644fa5d6b835828d027963a53cce3f204ee1ea0042ec492e209de9136f05ca131ccda959bc477d4f6e9c72e5f620ddf4235f26
 SHA512 
993e97f647eba0c5ed90bcfcb8228bf67fa3f20b1f4331e4e40a30788d7c3ac55eee1209471bf21df125cb8fc6121acc8062a9da2f8a7d6cbe8e9ad13a9320dc
 DIST pango-1.50.14.tar.xz 4273776 BLAKE2B 
24f70c56aee117e09d53c0ccf7cb3605bf8fec847816a163d9d39ce970c11339ca2eb4463c40e2d53a68c32e45d8ae40be81250caea8591ae340004936f3c2a7
 SHA512 
2c9330b65920fdd0ab6d645aed785a364158d78068bdcd7ba15b6a7368835677f06f2f8fd158cd23b05f98a37fb903e29526ade8f4d62913dbc5809f737d5166
+DIST pango-1.51.0.tar.xz 1942044 BLAKE2B 
d7d343d5fb005b92dc70fc6f65c62d1d22cc81887185612d276e63614e622272117b64051f46aa1ae0348d4ccfbed0a473f9482703d51d5da7e81d1851b49071
 SHA512 
a427e93cdc00bf4bc97da2e1897363a53688886f112c8732684cc66c67b16fe82a84cf581ffa6c18a206e8e37bd54db4104856fdab8afa5a50a8bc0470e5d282

diff --git a/x11-libs/pango/pango-1.51.0.ebuild 
b/x11-libs/pango/pango-1.51.0.ebuild
new file mode 100644
index 000000000000..690dbbb2d084
--- /dev/null
+++ b/x11-libs/pango/pango-1.51.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic gnome2-utils meson-multilib xdg
+
+DESCRIPTION="Internationalized text layout and rendering library"
+HOMEPAGE="https://www.pango.org/ https://gitlab.gnome.org/GNOME/pango";
+SRC_URI="http://ftp.gnome.org/pub/GNOME/sources/pango/$(ver_cut 
1-2)/${P}.tar.xz"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+IUSE="debug +introspection sysprof test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-libs/glib-2.62.2:2[${MULTILIB_USEDEP}]
+       >=dev-libs/fribidi-1.0.6[${MULTILIB_USEDEP}]
+       
>=media-libs/harfbuzz-2.6.0:=[glib(+),introspection?,truetype(+),${MULTILIB_USEDEP}]
+       >=media-libs/fontconfig-2.13.0:1.0=[${MULTILIB_USEDEP}]
+       >=x11-libs/cairo-1.12.10:=[X?,${MULTILIB_USEDEP}]
+       >=media-libs/freetype-2.5.0.1:2=[${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+       X? (
+               >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+               >=x11-libs/libXft-2.3.1-r1[${MULTILIB_USEDEP}]
+               >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
+       )
+"
+DEPEND="${RDEPEND}
+       sysprof? ( >=dev-util/sysprof-capture-3.40.1:4[${MULTILIB_USEDEP}] )
+       X? ( x11-base/xorg-proto )
+"
+BDEPEND="
+       dev-util/glib-utils
+       sys-apps/help2man
+       virtual/pkgconfig
+       test? ( media-fonts/cantarell )
+"
+
+src_prepare() {
+       default
+       xdg_environment_reset
+       gnome2_environment_reset
+
+       # False positive with GCC 13 and -O3 at least, see bug #903259
+       # https://gitlab.gnome.org/GNOME/pango/-/issues/740
+       sed -i -e '/\-Werror=array-bounds/d' meson.build || die
+}
+
+multilib_src_configure() {
+       if use debug; then
+               append-cflags -DPANGO_ENABLE_DEBUG
+       else
+               append-cflags -DG_DISABLE_CAST_CHECKS
+       fi
+
+       local emesonargs=(
+               # Never use gi-docgen subproject
+               --wrap-mode nofallback
+
+               -Dgtk_doc=false # we ship pregenerated docs
+               $(meson_native_use_feature introspection)
+               -Dinstall-tests=false
+               -Dfontconfig=enabled
+               $(meson_feature sysprof)
+               -Dlibthai=disabled
+               -Dcairo=enabled
+               $(meson_feature X xft)
+               -Dfreetype=enabled
+       )
+       meson_src_configure
+}
+
+multilib_src_install_all() {
+       insinto /usr/share/gtk-doc/html
+       # This will install PangoXft API docs regardless of USE=-X, but this is 
intentional
+       doins -r "${S}"/docs/Pango*
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if has_version 'media-libs/freetype[-harfbuzz]' ; then
+               ewarn "media-libs/freetype is installed without harfbuzz 
support. This may"
+               ewarn "lead to minor font rendering problems, see bug 712374."
+       fi
+}

Reply via email to